VERSION 4.00
Begin VB.Form UNC_Test 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "UNC/Path Conversion"
   ClientHeight    =   1785
   ClientLeft      =   3570
   ClientTop       =   3690
   ClientWidth     =   5385
   ClipControls    =   0   'False
   Height          =   2190
   Left            =   3510
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1785
   ScaleWidth      =   5385
   ShowInTaskbar   =   0   'False
   Top             =   3345
   Width           =   5505
   Begin VB.CommandButton cmdQuit 
      Cancel          =   -1  'True
      Caption         =   "Quit"
      Height          =   360
      Left            =   2805
      TabIndex        =   3
      Top             =   1275
      Width           =   1035
   End
   Begin VB.TextBox txtPassedName 
      Height          =   315
      Left            =   225
      TabIndex        =   0
      Text            =   "M:\MSDEV"
      Top             =   270
      Width           =   4965
   End
   Begin VB.CommandButton cmdGetName 
      Caption         =   "&Check"
      Default         =   -1  'True
      Height          =   360
      Left            =   1425
      TabIndex        =   1
      Top             =   1290
      Width           =   1035
   End
   Begin VB.Label lblReturnedName 
      BorderStyle     =   1  'Fixed Single
      Height          =   345
      Left            =   225
      TabIndex        =   2
      Top             =   735
      Width           =   4965
   End
End
Attribute VB_Name = "UNC_Test"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
' ------------------------------------------------------
' UNC_Test.FRM -- Copyright (c) Slightly Tilted Software
' By:       L.J. Johnson
' Date:     10-13-1996
' Comments: Test form to debug the cross-process
'           server.  This form will only show if
'           if running from design-time, not if
'           running as a compiled EXE
' ------------------------------------------------------
Option Explicit

Dim mclsUncCnvt         As UncConversion

Private Sub cmdGetName_Click()
   Dim pstrPassed       As String
   Const BASE_ERR_NUM = vbObjectError + 1048
   
   Me.lblReturnedName.Caption = ""
   pstrPassed = Trim$(Me.txtPassedName.Text)
   
   On Error Resume Next
   Me.lblReturnedName.Caption = mclsUncCnvt.GetUNCName(pstrPassed)
   If Err <> 0 Then
      MsgBox "Source: " & Err.Source & vbCrLf & vbCrLf & _
             "Error Number: " & (Err.Number - BASE_ERR_NUM) & vbCrLf & vbCrLf & _
             "Error Description: " & Err.Description, vbOK, "This was an OLE error"
   End If
   On Error GoTo 0
End Sub

Private Sub Form_Load()
   Set mclsUncCnvt = New UncConversion
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Set mclsUncCnvt = Nothing
End Sub

Private Sub txtPassedName_GotFocus()
   Me.txtPassedName.SelStart = 0
   Me.txtPassedName.SelLength = Len(Me.txtPassedName.Text)
End Sub

Private Sub cmdQuit_Click()
   Unload Me
End Sub

