Attribute VB_Name = "StartBas"
' ------------------------------------------------------
' StartBas.BAS -- Copyright (c) Slightly Tilted Software
' By:       L.J. Johnson
' Date:     10-13-1996
' Comments: Contains only Main() and
'           IsCompiled().  Both are public,
'           but won't show up since they are not
'           in a class module
' ------------------------------------------------------
Option Explicit

Private Declare Function GetModuleFileName _
      Lib "kernel32" Alias "GetModuleFileNameA" _
      (ByVal hModule As Long, _
       ByVal lpFilename As String, _
       ByVal nSize As Long) As Long

Public Sub Main()
   If IsCompiled() = False Then
      UNC_Test.Show vbModeless
   End If
End Sub

' ------------------------------------------------
' Returns TRUE if the program is running as a
'     compiled EXE, FALSE otherwise
' ------------------------------------------------
Public Function IsCompiled() As Boolean
   Dim plngRtn       As Long
   Dim pstrBuffer    As String
   
   pstrBuffer = Space$(260)
   plngRtn = GetModuleFileName(0&, pstrBuffer, Len(pstrBuffer))
   If plngRtn > 0 Then
      pstrBuffer = UCase$(Left$(pstrBuffer, plngRtn))
   End If
   
   If Right$(pstrBuffer, 9) = "\VB32.EXE" Then
      IsCompiled = False
   Else
      IsCompiled = True
   End If
   
End Function
